> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/pan-gst-link.md).

# Pan Gst Link

The purpose of PAN GST link verification is to ensure that the end user's PAN (Permanent Account Number) and GSTIN (Goods and Services Tax Identification Number) are linked and valid.This verification process helps in preventing fraud and ensuring compliance with the tax laws.

#### Submit Document

## ind\_pan\_gst\_link

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_pan_gst_link`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th width="142">Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>pan_number </td><td>String </td><td>Yes </td><td>Your Campany Pan Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "pan_number": "AAJCT3251A"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "status_code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "a2a8dee4-571d-46e3-9117-1cae23906c3c",
    "result": {
        "gst_associated_with_pan": true,
        "gst_details": [
            {
                "gst_number": "33AAJCT3251A1ZU",
                "gstin_status": "Active",
                "state": "Tamil Nadu"
            }
        ]
    },
    "requested_at": "2023-09-22T10:34:49.375Z",
    "completed_at": "2023-09-22T16:04:50+05:30"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "e1f69bfc-8a32-4c56-86bf-cf0ee7f1ff23",
    "status": "in_progress",
    "requested_at": "2024-04-18T11:57:54.003Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid PAN Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_pan_gst_link`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "b70d5a5a-7f42-438d-98d2-448615c27227",
    "status": "completed",
    "result": {
        "gst_associated_with_pan": true,
        "gst_details": [
            {
                "gst_number": "33AAJCT3251A1ZU",
                "gstin_status": "Inactive",
                "state": "Tamil Nadu"
            }
        ]
    },
    "requested_at": "2024-04-18T12:48:57.649Z",
    "completed_at": "2024-04-18T12:49:00.000Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "e1f69bfc-8a32-4c56-86bf-cf0ee7f1ff23",
    "status": "in_progress",
    "requested_at": "2024-04-18T11:57:54.003Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/pan-gst-link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
